[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Is anyone interested in getting PostgreSQL working on mips[el]?

Hi mips porters!

For a fair while now PostgreSQL (7.4, 8.0, 8.1) do not work at all on
mips and mipsel. The postmaster immediately dies with a SIGBUS.

It's pretty hard to track down, gdb stacktrace is unusable. Also, I
was not able to get it to work in any of the various gcc
version/optimization/PostgreSQL version/patch combinations I tried.
[1] has some details of my findings so far.

Thus I asked for removing the mips and mipsel debs for now until this
is fixed [2].

Is any mips expert interested to track this down?



[1] http://archives.postgresql.org/pgsql-bugs/2005-10/msg00118.php
[2] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=344487

Martin Pitt              http://www.piware.de
Ubuntu Developer   http://www.ubuntulinux.org
Debian Developer        http://www.debian.org

Attachment: signature.asc
Description: Digital signature

Reply to: